Xerces2 Implementation: Class DOMImplementationListImpl

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.dom
Class DOMImplementationListImpl

    java.lang.Object
      |
      +--org.apache.xerces.dom.DOMImplementationListImpl

All Implemented Interfaces:
  org.w3c.dom.DOMImplementationList

public class DOMImplementationListImpl
extends java.lang.Object
implements org.w3c.dom.DOMImplementationList

This class implements the DOM Level 3 Core interface DOMImplementationList.

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Since:
  DOM Level 3 Core
Author:
  Neil Delima, IBM

Constructor Summary
`DOMImplementationListImpl()` Construct an empty list of DOMImplementations
`DOMImplementationListImpl(java.util.Vector params)` Construct an empty list of DOMImplementations

Method Summary
`int` | `getLength()` Returns the number of DOMImplementations in the list.
`org.w3c.dom.DOMImplementation` | `item(int index)` Returns the indexth item in the collection.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DOMImplementationListImpl

    public DOMImplementationListImpl()

  Construct an empty list of DOMImplementations

### DOMImplementationListImpl

    public DOMImplementationListImpl(java.util.Vector params)

  Construct an empty list of DOMImplementations

Method Detail

### item

    public org.w3c.dom.DOMImplementation item(int index)

  Returns the indexth item in the collection.
  Specified by:
    `item` in interface `org.w3c.dom.DOMImplementationList`
  Parameters:
    `index` - The index of the DOMImplemetation from the list to return.

### getLength

    public int getLength()

  Returns the number of DOMImplementations in the list.
  Specified by:
    `getLength` in interface `org.w3c.dom.DOMImplementationList`
  Returns:
    An integer indicating the number of DOMImplementations.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2007 The Apache Software Foundation. All Rights Reserved.